Bug 502973 - Winbind service starts with nscd running.
Winbind service starts with nscd running.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Guenther Deschner
qe-baseos-daemons
:
Depends On: 502262
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-27 21:28 EDT by Ian Page Hands
Modified: 2010-05-17 10:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 502262
Environment:
Last Closed: 2010-05-17 10:48:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
updated patch (656 bytes, patch)
2009-05-27 21:28 EDT, Ian Page Hands
no flags Details | Diff

  None (edit)
Description Ian Page Hands 2009-05-27 21:28:38 EDT
Created attachment 345692 [details]
updated patch

"This would be a bit too radical, while we discourage using winbind in conjunction with nscd we cannot prevent an admin that knows what he is doing from doing so."

I agree, but don't we usually add an option for such a case (i.e. make the needed change but provide a way to override the new functionality?). I have attached a new patch that has such an option.

Let me know if something like this will work. Also -- for the immediate future -- it could be that the default is set to allow the service to start. This would allow for normal operation to continue, but give some heads up for future changes.

+++ This bug was initially created as a clone of Bug #502262 +++

Created an attachment (id=345162)
a simple check for nscd in the winbind init script

Description of problem:
According to "http://www.samba.org/samba/docs/man/Samba-HOWTO-Collection/winbind.html#id2650352" winbind should never be started when nscd is running. I believe the winbind service should refuse to start if nscd is running.


Version-Release number of selected component (if applicable):


How reproducible:
service nscd start
service winbind start
  
Actual results:
winbind starts with nscd running

Expected results:
winbind should refuse to start

Additional info:
patch included

--- Additional comment from ssorce@redhat.com on 2009-05-26 16:03:41 EDT ---

This would be a bit too radical, while we discourage using winbind in conjunction with nscd we cannot prevent an admin that knows what he is doing from doing so.
Comment 1 Ian Page Hands 2009-06-04 20:02:15 EDT
Just for thought, at the very least a stern warning could be displayed if nscd is running.

The upstream warning is worded exactly "Do not under any circumstances run nscd on any system on which winbindd is running.".
Comment 2 Dmitri Pal 2010-05-17 10:48:39 EDT
While we discourage using winbind in conjunction with nscd we cannot prevent an admin that knows what he is doing from doing so.

Note You need to log in before you can comment on or make changes to this bug.